summaryrefslogtreecommitdiffstats
path: root/libraries/libotr
diff options
context:
space:
mode:
author Guillermo Bonvehi2010-05-11 20:00:54 +0200
committer Robby Workman2010-05-11 20:00:54 +0200
commit2479031c60762ef77435f0797f0df071fddcf7d8 (patch)
tree552487ffb4a2216c16615e97b680b38c36b073c6 /libraries/libotr
parent98d28bedfe9688f6a2ecf614db04e8aeb2c7f9e3 (diff)
downloadslackbuilds-2479031c60762ef77435f0797f0df071fddcf7d8.tar.gz
libraries/libotr: Added to 12.0 repository
Diffstat (limited to 'libraries/libotr')
-rw-r--r--libraries/libotr/README10
-rw-r--r--libraries/libotr/libotr.SlackBuild82
-rw-r--r--libraries/libotr/libotr.info8
-rw-r--r--libraries/libotr/slack-desc19
4 files changed, 119 insertions, 0 deletions
diff --git a/libraries/libotr/README b/libraries/libotr/README
new file mode 100644
index 0000000000..b9555d2aaa
--- /dev/null
+++ b/libraries/libotr/README
@@ -0,0 +1,10 @@
+libotr (OTR Messaging Library and Toolkit)
+
+This is the portable OTR Messaging Library, as well as the toolkit to
+help you forge messages.
+OTR allows you to have private conversations over IM by providing:
+ - Encryption: No one else can read your instant messages.
+ - Authentication: You are assured the correspondent is who you think it is.
+ - Deniability: The messages you send do not have digital signatures
+ - Perfect forward secrecy: If you lose control of your private keys,
+ no previous conversation is compromised.
diff --git a/libraries/libotr/libotr.SlackBuild b/libraries/libotr/libotr.SlackBuild
new file mode 100644
index 0000000000..347a5eec3a
--- /dev/null
+++ b/libraries/libotr/libotr.SlackBuild
@@ -0,0 +1,82 @@
+#!/bin/sh
+
+# Slackware build script for libotr
+
+# Copyright 2007 by Guillermo Bonvehi (gbonvehi@gmail.com)
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=libotr
+VERSION=3.1.0
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --enable-static=no
+
+make
+make install DESTDIR=$PKG
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a README AUTHORS COPYING COPYING.LIB ChangeLog INSTALL NEWS UPGRADING \
+ Protocol-v2.html $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/libraries/libotr/libotr.info b/libraries/libotr/libotr.info
new file mode 100644
index 0000000000..5cc88eadb2
--- /dev/null
+++ b/libraries/libotr/libotr.info
@@ -0,0 +1,8 @@
+PRGNAM="libotr"
+VERSION="3.1.0"
+HOMEPAGE="http://www.cypherpunks.ca/otr/"
+DOWNLOAD="http://www.cypherpunks.ca/otr/libotr-3.1.0.tar.gz"
+MD5SUM="6266a2966cc9e00822add3175b0b77cf"
+MAINTAINER="Guillermo Bonvehi"
+EMAIL="gbonvehi@gmail.com"
+APPROVED="rworkman"
diff --git a/libraries/libotr/slack-desc b/libraries/libotr/slack-desc
new file mode 100644
index 0000000000..c3f3c0c981
--- /dev/null
+++ b/libraries/libotr/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+libotr: libotr (OTR Messaging Library and Toolkit)
+libotr:
+libotr: This is the portable OTR Messaging Library, as well as the toolkit
+libotr: to help you forge messages.
+libotr: OTR allows you to have private conversations over IM by providing:
+libotr: - Encryption: No one else can read your instant messages.
+libotr: - Authentication: You are assured the correspondent is who you think
+libotr: it is.
+libotr: - Deniability: The messages you send do not have digital signatures
+libotr: - Perfect forward secrecy: If you lose control of your private keys,
+libotr: no previous conversation is compromised.